Class ProvidersRequestBuilder
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\identity-provider\providers
public class ProvidersRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderProvidersRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
ProvidersRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new ProvidersRequestBuilder and sets the default values.
public ProvidersRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
ProvidersRequestBuilder(string, IRequestAdapter)
Instantiates a new ProvidersRequestBuilder and sets the default values.
public ProvidersRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Properties
this[string]
Gets an item from the Keycloak.AuthServices.Sdk.Kiota.Admin.admin.realms.item.identityProvider.providers.item collection
public WithProvider_ItemRequestBuilder this[string position] { get; }
Parameters
positionstringThe provider id to get the factory